version: "3.9"

services:
  app:
    image: orenciso/xode-api:latest
    container_name: xode-api
    env_file:
      - .env
    ports:
      - 3009:3009

  copy-xode-env:
    image: orenciso/xode-api:latest
    container_name: copy-xode-env
    volumes:
      - /var/www/xgame-apis/xode-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
